description: List of supported OAuth 2.0 grant types
type: string
enum:
  - OAUTH2_AUTHORIZATION_CODE
  - OAUTH2_IMPLICIT_GRANT
  - OAUTH2_RESOURCE_OWNER
  - OAUTH2_CLIENT_CREDENTIALS
example: 'OAUTH2_CLIENT_CREDENTIALS'